#
# spec file for package bitchx (Version 1.0c18)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ncurses openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz openssl openssl-devel pam perl rpm

Name:         bitchx
License:      BSD, Other License(s), see package
Group:        Productivity/Networking/IRC
Provides:     BitchX 
Autoreqprov:  on
Summary:      An IRC client
URL:          http://www.bitchx.org/
Version:      1.0c18
Release:      336
Source:       ftp://ftp.bitchx.org/pub/BitchX/source/ircii-pana-%{version}.tar.bz2
Patch0:       bitchx-configs.dif
Patch1:       %{name}-%{version}-configure.patch
Patch2:       %{name}-%{version}-ipv6.patch
Patch3:       %{name}-%{version}-evil-server.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
BitchX is one of the well-known IRC clients for the text console, originated
from ircii.
Offers lots of possibilities and settings.

Authors:
--------
    Colten Edwards <edwards@sk.sympatico.ca>

SuSE series: n

%prep
%setup -n BitchX
%patch0 -p1
%patch1
%patch2
%patch3
gzip -c9 < doc/BitchX.1  > BitchX.1.gz
rm -rf macros/sanity.m4

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal -I macros
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--enable-ipv6 \
	--with-ssl
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr/ install
ln -sf BitchX-%{version} $RPM_BUILD_ROOT/usr/bin/BitchX
install -D -m 644 -o root -g root BitchX.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/BitchX.1.gz
ln -s BitchX.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/bitchx.1.gz
ln -s BitchX $RPM_BUILD_ROOT/usr/bin/bitchx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BitchX.help BitchX.ircnames BitchX.quit BitchX.reasons
%doc COMPILE-PROBLEMS Changelog INSTALL README  INSTALL 
%doc doc/*
%doc %{_mandir}/man1/BitchX.1.gz
%doc %{_mandir}/man1/bitchx.1.gz
/usr/bin/scr-bx
/usr/bin/BitchX-%{version}
/usr/bin/BitchX
/usr/bin/bitchx
/usr/lib/bx/

%changelog -n bitchx
* Wed May 07 2003 - tcrhak@suse.cz
- fix for several buffer overflows (patch evil-server)
- fixed an initialization of struct in6_addr (patch ipv6)
* Sat Nov 24 2001 - mmj@suse.de
- Use better defaults, and turn the bold colon off.
- Remove Conflicts: ircii
* Wed Aug 29 2001 - adostal@suse.cz
- use aclocal and autoconf
- patch configure
- fix autoconf (rm duplex macro AC_SANITY)
- fix compile misc.c (delete from patch)
* Wed Apr 04 2001 - bjacke@suse.de
- use BuildRoot
- enable IPv6
- enable SSL
- fix manpage to exist
- make links from bitchx to BitchX for binary and manpage
* Mon Mar 05 2001 - pblaha@suse.cz
- update on 1.0c18
* Wed Dec 20 2000 - draht@suse.de
- #undef WANT_NOTIFY_BITCHX_COM instead of #define OFF
* Fri Dec 15 2000 - draht@suse.de
- WANT_NOTIFY_BITCHX_COM turned OFF: No author notification any more.
* Tue Jul 11 2000 - grimmer@suse.de
- security fix: added 75p3-format.patch from ftp.bitchx.org
  (see BugTraq ID #1436)
* Thu Mar 23 2000 - ro@suse.de
- hacked to compile on alpha
* Sat Mar 04 2000 - olh@suse.de
- cleanup defaults
* Mon Feb 28 2000 - grimmer@suse.de
- Update to 75p3
- get rid of Makefile.linux
- removed obsolete patch
- install man page and some more docu
- Added Group tag
- use version- and mandir macro
- specfile cleanups
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Mon Feb 22 1999 - ro@suse.de
- compile with -D_GNU_SOURCE
* Sat Jul 18 1998 - mb@suse.de
- first inital version 75p1 of the BitchX IRC client
